org.apache.sysds.runtime.functionobjects

## Class TernaryValueFunction

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.TernaryValueFunction

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IfElse, MinusMultiply, PlusMultiply

    public abstract class TernaryValueFunction
    extends ValueFunction
    implements Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static interface` `TernaryValueFunction.ValueFunctionWithConstant`

### Constructor Summary

Constructors
Constructor and Description
`TernaryValueFunction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract double` `execute(double in1, double in2, double in3)`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`requiresCorrection`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TernaryValueFunction

    public TernaryValueFunction()

### Method Detail

#### execute

    public abstract double execute(double in1,
                                   double in2,
                                   double in3)